aboutsummaryrefslogtreecommitdiff
path: root/tcwg-validate-abetests.yaml
diff options
context:
space:
mode:
authorCharles Baylis <charles.baylis@linaro.org>2017-05-11 18:01:37 +0100
committerCharles Baylis <charles.baylis@linaro.org>2017-05-12 11:57:02 +0000
commitb82917ff8c1b5ca23dffc2cdbc6325e037407292 (patch)
treefaf96d068eaa79bf0671df719e5c086bb98b8a81 /tcwg-validate-abetests.yaml
parentb62a63432f7a94084ef095e63dd14bdd2a64831c (diff)
tcwg-abe-test, tcwg-validate-abetests: Fix artifacts.
Clean up reporting and artifact creation for abe-tests. This patch makes the reporting and artifacts consistent between the tcwg-abe-test job and the tcwg-validate-abetests job. This fixes overly verbose reporting for tcwg-abe-test, and ensures that tcwg-validate-abetests produces artifacts when the test fails, as previously "set -e" prevented the copy of the logs to ${ARTIFACTS}. This should also fix "xz: Cannot set the file group: Operation not permitted" errors when the artifacts are compressed, which result from inconsistent group membership between the host and docker containers. Change-Id: Ib47a80db81cfc2baf03b65aa4b83f552b660e325
Diffstat (limited to 'tcwg-validate-abetests.yaml')
-rw-r--r--tcwg-validate-abetests.yaml12
1 files changed, 10 insertions, 2 deletions
diff --git a/tcwg-validate-abetests.yaml b/tcwg-validate-abetests.yaml
index 974901e5..6aa84ba2 100644
--- a/tcwg-validate-abetests.yaml
+++ b/tcwg-validate-abetests.yaml
@@ -91,11 +91,16 @@
# Remove container on exit
trap "build_container_cleanup" 0 1 2 3 5 9 13 15
+ status=0
+ touch ${ARTIFACTS}/empty.txt
+
case "$test" in
abe-tests)
ARTIFACTS=${WORKSPACE}/artifacts
mkdir -p "${ARTIFACTS}"
- ${BUILD_SHELL} -c "set -ex; ${WORKSPACE}/test-manifest2.sh --ref-snapshots /home/tcwg-buildslave/snapshots-ref --display-summary; cp full-manifest-test/*.txt ${ARTIFACTS}"
+ ${BUILD_SHELL} -c "set -ex; ${WORKSPACE}/test-manifest2.sh --ref-snapshots /home/tcwg-buildslave/snapshots-ref --display-summary --quiet" || status=$?
+ cp abe-tests/full-manifest-test/*.txt "${ARTIFACTS}"
+ rm -f ${ARTIFACTS}/empty.txt
# full build logs are large, and not very useful, so we
# don't waste the disk space on them
rm -f ${ARTIFACTS}/test-mani-build[12].txt
@@ -103,12 +108,15 @@
abe-tests-checkout)
ARTIFACTS=${WORKSPACE}/artifacts
mkdir -p "${ARTIFACTS}"
- ${BUILD_SHELL} -c "set -ex; ${WORKSPACE}/test-checkout.sh --clean-snapshots --ref-snapshots /home/tcwg-buildslave/snapshots-ref; cp checkout-test/workspace*/test_*.log ${ARTIFACTS}"
+ ${BUILD_SHELL} -c "set -ex; ${WORKSPACE}/test-checkout.sh --clean-snapshots --ref-snapshots /home/tcwg-buildslave/snapshots-ref" || status=$?
+ cp abe-tests/checkout-test/workspace*/test_*.log "${ARTIFACTS}"
+ rm -f artifacts/empty.txt
# the reports from here aren't usually needed, so are
# worth compressing
xz ${ARTIFACTS}/*
;;
esac
+ exit $status
publishers:
- workspace-cleanup:
include: